import request from "@/scripts/httpRequest"
import qs from "qs"

export const getPollConfig = () => {
  return request({
    url: "/data/api-v/pollConfig/getPollConfig",
    method: "get"
  })
}

export const changeRunType = (params: any) => {
  let apiUrl = "/data/api-v/camera/changeRunType"
  if (params.isGb) {
    apiUrl = "/data/api-v/gb28181/camera/changeRunType"
  }
  return request({
    url: apiUrl,
    method: "post",
    data: params
  })
}

export const updatePollEnable = (params: any) => {
  return request({
    url: "/data/api-v/pollConfig/updateEnable",
    method: "post",
    data: params
  })
}

export const updatePollPeriod = (params: any) => {
  return request({
    url: "/data/api-v/pollConfig/savePollPeriod",
    method: "post",
    data: qs.stringify(params)
  })
}

export const getCamerasByServer = (query: any) => {
  return request({
    url: "/data/api-v/camera/getAllCamerasByServer",
    method: "get",
    params: query
  })
}

export const statisticRunInfo = (query: any) => {
  return request({
    url: "/data/api-v/camera/statisticRunInfo",
    method: "get",
    params: query
  })
}

export const updateChannelCount = (params: any) => {
  return request({
    url: "/data/api-v/pollConfig/updateChannelCount",
    method: "post",
    data: params
  })
}
